## msn-pecan 0.0.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 CC=gcc
+XGETTEXT=xgettext
+MSGFMT=msgfmt
 
 PLATFORM=$(shell uname -s)
 
@@ -8,6 +10,8 @@
 
 GOBJECT_CFLAGS=`pkg-config --cflags gobject-2.0`
 GOBJECT_LIBS=`pkg-config --libs gobject-2.0`
+
+CVR = y
 
 ifdef DEBUG
 CFLAGS+=-ggdb
@@ -27,17 +31,25 @@
 
 CFLAGS+=-Wall # $(EXTRA_WARNINGS)
 
-override CFLAGS+=-I. -DHAVE_LIBPURPLE
+override CFLAGS+=-I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -DLIBPURPLE_NEW_API \
+	-D PLUGIN_NAME='msn-pecan'
+ifdef CVR
+override CFLAGS+=-DPECAN_CVR
+endif
+
+# extra debugging
+override CFLAGS+=-DPECAN_DEBUG_SLP
 
 # For glib < 2.6 support (libpurple maniacs)
 FALLBACK_CFLAGS+=-I./fix_purple
 
 LDFLAGS:=-Wl,--no-undefined
 
-purpledir=$(DESTDIR)/$(PURPLE_PREFIX)/lib/purple-2
+prefix=$(DESTDIR)/$(PURPLE_PREFIX)
+plugin_dir=$(prefix)/lib/purple-2
+data_dir=$(prefix)/share
 
 objects = \
-	  error.o \
 	  msn.o \
 	  nexus.o \
 	  notification.o \
@@ -48,7 +60,10 @@
 	  pecan_log.o \
 	  pecan_printf.o \
 	  pecan_util.o \
+	  pecan_error.o \
 	  pecan_status.o \
+	  pecan_oim.o \
+	  pecan_ud.o \
 	  cmd/cmdproc.o \
 	  cmd/command.o \
 	  cmd/history.o \
@@ -56,6 +71,7 @@
 	  cmd/table.o \
 	  cmd/transaction.o \
 	  io/pecan_buffer.o \
+	  io/pecan_parser.o \
 	  ab/pecan_group.o \
 	  ab/pecan_contact.o \
 	  ab/pecan_contactlist.o \
@@ -63,13 +79,22 @@
 	  io/pecan_node.o \
 	  io/pecan_cmd_server.o \
 	  io/pecan_http_server.o \
-	  cvr/slp.o \
-	  cvr/slpcall.o \
-	  cvr/slplink.o \
-	  cvr/slpmsg.o \
-	  cvr/slpsession.o \
-	  cvr/pecan_slp_object.o \
+	  io/pecan_ssl_conn.o \
 	  fix_purple.o
+
+ifdef CVR
+objects += cvr/slp.o \
+	   cvr/slpcall.o \
+	   cvr/slplink.o \
+	   cvr/slpmsg.o \
+	   cvr/slpsession.o \
+	   cvr/pecan_slp_object.o
+endif
+
+ifdef SOCKET
+objects += io/pecan_socket.o
+override CFLAGS += -DPECAN_SOCKET
+endif
 
 ifdef DIRECTCONN
 objects += directconn.o
@@ -78,6 +103,9 @@
 
 sources = $(patsubst %.o,%.c,$(objects))
 
+PO_TEMPLATE = po/messages.pot
+CATALOGS = nl fi fr it sr es sv
+
 ifeq ($(PLATFORM),Darwin)
 	SHLIBEXT=dylib
 else
@@ -90,17 +118,18 @@
 endif
 
 ifdef STATIC
-	lib=libmsn-pecan.a
+	plugin=libmsn-pecan.a
 	override CFLAGS += -DPURPLE_STATIC_PRPL
 else
-	lib=libmsn-pecan.$(SHLIBEXT)
+	plugin=libmsn-pecan.$(SHLIBEXT)
 	override CFLAGS += -fPIC
 endif
 
-
 .PHONY: all clean
 
-all: $(lib)
+all: $(plugin)
+
+version := $(shell ./get-version.sh)
 
 # from Lauri Leukkunen's build system
 ifdef V
@@ -111,9 +140,9 @@
 Q = @
 endif
 
-$(lib): $(objects)
-$(lib): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS)
-$(lib): LIBS := $(PURPLE_LIBS) $(GOBJECT_LIBS)
+$(plugin): $(objects)
+$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
+$(plugin): LIBS := $(PURPLE_LIBS) $(GOBJECT_LIBS)
 
 %.dylib::
 	$(P)DYLIB
@@ -136,21 +165,39 @@
 	$(Q)$(CC) $(CFLAGS) -Wp,-MMD,$(dir $@).$(notdir $@).d -o $@ -c $<
 
 clean:
-	rm -f $(lib) $(objects)
+	find -name '*.mo' -delete
+	rm -f $(plugin) $(objects)
 
 depend:
 	makedepend -Y -- $(CFLAGS) -- $(sources)
 
+po:
+	mkdir -p $@
+
+$(PO_TEMPLATE): $(sources) | po
+	$(XGETTEXT) -kmc --keyword=_ --keyword=N_ -o $@ $(sources)
+
 dist:
-	git archive --format=tar --prefix=msn-pecan-$(version)/ $(version) > /tmp/msn-pecan-$(version).tar
+	git archive --format=tar --prefix=msn-pecan-$(version)/ HEAD > /tmp/msn-pecan-$(version).tar
 	mkdir -p msn-pecan-$(version)
 	git-changelog > msn-pecan-$(version)/ChangeLog
 	chmod 664 msn-pecan-$(version)/ChangeLog
 	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/ChangeLog
+	echo $(version) > msn-pecan-$(version)/version
+	chmod 664 msn-pecan-$(version)/version
+	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/version
 	rm -r msn-pecan-$(version)
 	bzip2 /tmp/msn-pecan-$(version).tar
 
-install: $(lib)
-	mkdir -p $(purpledir)
-	install $(lib) $(purpledir)
-	# chcon -t textrel_shlib_t $(purpledir)/$(lib)
+install: $(plugin)
+	mkdir -p $(plugin_dir)
+	install $(plugin) $(plugin_dir)
+	# chcon -t textrel_shlib_t $(plugin_dir)/$(plugin)
+
+%.mo:: %.po
+	$(MSGFMT) -c -o $@ $<
+
+install_locales: $(foreach e,$(CATALOGS),po/libmsn-pecan-$(e).mo)
+	for x in $(CATALOGS); do \
+	install -D po/libmsn-pecan-$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
