## msn-pecan 0.1.0~rc1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
-CC := gcc
+CC := $(CROSS_COMPILE)gcc
+WINDRES := $(CROSS_COMPILE)windres
+
 XGETTEXT := xgettext
 MSGFMT := msgfmt
 
-PLATFORM := $(shell uname -s)
+PLATFORM := $(shell $(CC) -dumpmachine | cut -f 3 -d -)
 
 PURPLE_CFLAGS := $(shell pkg-config --cflags purple)
 PURPLE_LIBS := $(shell pkg-config --libs purple)
@@ -15,12 +17,18 @@
 # default configuration options
 CVR := y
 LIBSIREN := y
+LIBMSPACK := y
 PLUS_SOUNDS := y
+DEBUG := y
+
+CFLAGS := -O2
 
 ifdef DEBUG
   CFLAGS += -ggdb
-else
-  CFLAGS += -O2
+endif
+
+ifdef DEVEL
+  CFLAGS += -DPECAN_DEVEL
 endif
 
 EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
@@ -35,7 +43,8 @@
 
 CFLAGS += -Wall # $(EXTRA_WARNINGS)
 
-override CFLAGS += -I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -D PLUGIN_NAME='msn-pecan'
+override CFLAGS += -D_XOPEN_SOURCE
+override CFLAGS += -I. -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG
 
 ifdef CVR
   override CFLAGS += -DPECAN_CVR
@@ -48,6 +57,11 @@
 ifdef LIBSIREN
   override CFLAGS += -DPECAN_LIBSIREN
   LIBSIREN_LIBS := -lm
+endif
+
+ifdef LIBMSPACK
+  override CFLAGS += -DPECAN_LIBMSPACK
+  LIBMSPACK_LIBS := -lm
 endif
 
 ifdef PLUS_SOUNDS
@@ -72,73 +86,77 @@
 	   session.o \
 	   switchboard.o \
 	   sync.o \
-	   pecan_log.o \
-	   pecan_printf.o \
-	   pecan_util.o \
-	   pecan_error.o \
-	   pecan_status.o \
-	   pecan_oim.o \
-	   pecan_ud.o \
+	   pn_log.o \
+	   pn_printf.o \
+	   pn_util.o \
+	   pn_buffer.o \
+	   pn_error.o \
+	   pn_status.o \
+	   pn_oim.o \
+	   pn_dp_manager.o \
 	   cmd/cmdproc.o \
 	   cmd/command.o \
-	   cmd/history.o \
 	   cmd/msg.o \
 	   cmd/table.o \
 	   cmd/transaction.o \
-	   io/pecan_buffer.o \
-	   io/pecan_parser.o \
-	   ab/pecan_group.o \
-	   ab/pecan_contact.o \
-	   ab/pecan_contactlist.o \
-	   io/pecan_stream.o \
-	   io/pecan_node.o \
-	   io/pecan_cmd_server.o \
-	   io/pecan_http_server.o \
-	   io/pecan_ssl_conn.o \
-	   utils/msgpluslive.o \
+	   io/pn_parser.o \
+	   ab/pn_group.o \
+	   ab/pn_contact.o \
+	   ab/pn_contactlist.o \
+	   io/pn_stream.o \
+	   io/pn_node.o \
+	   io/pn_cmd_server.o \
+	   io/pn_http_server.o \
+	   io/pn_ssl_conn.o \
 	   fix_purple.o
 
 ifdef CVR
-  objects += cvr/slp.o \
-	     cvr/slpcall.o \
-	     cvr/slplink.o \
-	     cvr/slpmsg.o \
-	     cvr/slpsession.o \
-	     cvr/pecan_slp_object.o
-
+  objects += cvr/pn_peer_call.o \
+	     cvr/pn_peer_link.o \
+	     cvr/pn_peer_msg.o \
+	     cvr/pn_msnobj.o
+  objects += libpurple/xfer.o
 endif
 
 ifdef SOCKET
-  objects += io/pecan_socket.o
-  override CFLAGS += -DPECAN_SOCKET
+  objects += io/pn_socket.o
+  override CFLAGS += -DPECAN_SOCKET -D__USE_GNU
 endif
 
 ifdef DIRECTCONN
-  objects += directconn.o
+  objects += cvr/pn_direct_conn.o
   override CFLAGS += -DMSN_DIRECTCONN
 endif
 
 ifdef LIBSIREN
-  objects += lib/libsiren/common.o \
-	     lib/libsiren/dct4.o \
-	     lib/libsiren/decoder.o \
-	     lib/libsiren/huffman.o \
-	     lib/libsiren/rmlt.o \
-	     pecan_siren7.o
+  objects += ext/libsiren/common.o \
+	     ext/libsiren/dct4.o \
+	     ext/libsiren/decoder.o \
+	     ext/libsiren/huffman.o \
+	     ext/libsiren/rmlt.o \
+	     pn_siren7.o
+endif
+
+ifdef LIBMSPACK
+  objects += ext/libmspack/cabd.o \
+	     ext/libmspack/mszipd.o \
+	     ext/libmspack/lzxd.o \
+	     ext/libmspack/qtmd.o \
+	     ext/libmspack/system.o
 endif
 
 sources := $(objects:.o=.c)
 deps := $(objects:.o=.d)
 
 PO_TEMPLATE := po/messages.pot
-CATALOGS := ar da de es fi tr hu it nb nl pt_BR pt ru sr sv tr zh_CN zh_TW
-
-ifeq ($(PLATFORM),Darwin)
+CATALOGS := ar da de es fi fr tr hu it nb nl pt_BR pt sr sv tr zh_CN zh_TW
+
+ifeq ($(PLATFORM),darwin)
   SHLIBEXT := dylib
 else
-ifeq ($(PLATFORM),win32)
+ifeq ($(PLATFORM),mingw32)
   SHLIBEXT := dll
-  LDFLAGS := -Wl,--enable-auto-image-base -Wl,--exclude-libs=libintl.a
+  LDFLAGS += -Wl,--enable-auto-image-base -L./win32
   objects += win32/resource.res
 else
   SHLIBEXT := so
@@ -150,7 +168,7 @@
   override CFLAGS += -DPURPLE_STATIC_PRPL
 else
   plugin := libmsn-pecan.$(SHLIBEXT)
-ifneq ($(PLATFORM),win32)
+ifneq ($(PLATFORM),mingw32)
   override CFLAGS += -fPIC
 endif
 endif
@@ -176,6 +194,10 @@
   plugin_libs += $(LIBSIREN_LIBS)
 endif
 
+ifdef LIBMSPACK
+  plugin_libs += $(LIBMSPACK_LIBS)
+endif
+
 $(plugin): $(objects)
 $(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
 $(plugin): LIBS := $(plugin_libs)
@@ -204,7 +226,7 @@
 	$(WINDRES) $< -O coff -o $@
 
 clean:
-	find -name '*.mo' -delete
+	find -name '*.mo' | xargs rm -f
 	rm -f $(plugin) $(objects) $(deps)
 
 po:
@@ -230,12 +252,18 @@
 	install $(plugin) $(plugin_dir)
 	# chcon -t textrel_shlib_t $(plugin_dir)/$(plugin) # for selinux
 
+uninstall:
+	rm -f $(plugin_dir)/$(plugin)
+	for x in $(CATALOGS); do \
+	rm -f $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
+
 %.mo:: %.po
 	$(MSGFMT) -c -o $@ $<
 
-install_locales: $(foreach e,$(CATALOGS),po/libmsn-pecan-$(e).mo)
+install_locales: $(foreach e,$(CATALOGS),po/$(e).mo)
 	for x in $(CATALOGS); do \
-	install -D po/libmsn-pecan-$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	install -D po/$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 
 -include $(deps)
