## msn-pecan 0.1.2

=== Makefile ===
--- 
+++ 
@@ -30,12 +30,12 @@
 	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
 	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99
 
-SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter
+SIMPLE_WARNINGS := -Wall -Wextra -ansi -std=c99 -Wno-unused-parameter -Wmissing-prototypes
 
 OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
 	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch
 
-CFLAGS += -Wall # $(EXTRA_WARNINGS)
+CFLAGS += -Wall $(SIMPLE_WARNINGS)
 
 ifdef DEBUG
   override CFLAGS += -ggdb
@@ -94,6 +94,7 @@
 	   pn_status.o \
 	   pn_oim.o \
 	   pn_dp_manager.o \
+	   pn_auth.o \
 	   cmd/cmdproc.o \
 	   cmd/command.o \
 	   cmd/msg.o \
