=== debian/changelog ===
msn-pecan (0.1.2-1) unstable; urgency=low

  * New upstream release (LP: #624733).
  * debian/rules: remove get-orig-source target.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 09 May 2011 20:53:38 +0200
