=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), libpurple-dev (>= 2.5.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/msn-pecan/
 
 Package: msn-pecan
