## msn-pecan 0.1.3

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,16 @@
 PLUS_SOUNDS := y
 DEBUG := y
 DIRECTCONN := y
+GIO := y
 
 CFLAGS := -O2
 
 EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
 	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
 	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
-	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99
-
-SIMPLE_WARNINGS := -Wall -Wextra -ansi -std=c99 -Wno-unused-parameter -Wmissing-prototypes
+	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -std=c99
+
+SIMPLE_WARNINGS := -Wall -Wextra -std=c99 -Wno-unused-parameter -Wmissing-prototypes
 
 OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
 	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch
@@ -198,7 +199,7 @@
 endif
 
 $(plugin): $(objects)
-$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GIO_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
+$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GIO_CFLAGS) -D VERSION='"$(version)"'
 $(plugin): LIBS := $(plugin_libs)
 
 messages.pot: $(sources)
@@ -263,7 +264,7 @@
 win32-check:
 	test -f win32/libintl.dll.a
 
-win32: D := libmsn-pecan
+win32: D := win32/libmsn-pecan
 win32: win32-check $(plugin) locales
 	mkdir -p $(D)/plugins
 	cp $(plugin) libmsn-pecan-$(version)-dbg.dll
@@ -274,6 +275,6 @@
 	cp po/$$x.mo $(D)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 	cp COPYING $(D)
-	tar -cf /tmp/libmsn-pecan.tar $(D)
+	makensis win32/installer.nsi
 
 -include $(deps)
