=== debian/changelog ===
msn-pecan (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Remove disable-directconn patch to enable direct connections support.

  [ Luca Falavigna ]
  * Enable DM upload.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 04 Sep 2011 13:46:49 +0200
