=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), libpurple-dev (>= 2.5.0)
 Standards-Version: 3.9.2
+DM-Upload-Allowed: yes
 Homepage: http://code.google.com/p/msn-pecan/
 
 Package: msn-pecan
