=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/msn-pecan install install_locales

override_dh_strip:
	dh_strip --dbg-package=msn-pecan-dbg

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
