=== debian/watch ===
version=3
http://googlecode.debian.net/p/msn-pecan/msn-pecan-([0-9\.]*)\.tar\.bz2
